import React, { Component } from 'react'
// import { View, Text } from '@tarojs/components'
import TabPageCutNav from '../../components/TabPageCutNav/index'
import NavHeader from '../../components/NavHeader/index'
import '../../assets/css/reset.less'
import '../../assets/css/iconfont.less'
import './index.less'

export default class Index extends Component {

  state = {
    NavList: [
      { name: '活动', id: 1 },
      { name: '资讯', id: 2 }
    ],
    CurrentNavId: 1,
    IsPull: false,
    DataLock: false,
    PageList: [],
    PageData: {
      pageNum: 1,
      pageSize: 10
    },
    HasNextPage: true
  }

  componentWillMount () { }

  componentDidMount () { }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  NavChange (e) {
    console.log(e)
  }

  render () {
    const { CurrentNavId, DataLock, IsPull, NavList } = this.state
    return (
      <view className='HuoDong flex-v'>
        <NavHeader BgColor='none' Title='活动' IsFixed={true}></NavHeader>
        <TabPageCutNav List={NavList} CurrentNavId={CurrentNavId} onChange={this.NavChange}></TabPageCutNav>
      </view>
    )
  }
}
